package org.eclipse.hyades.perfmon;

import junit.framework.*;
import java.io.*;

public class ByteArrayInBufferTest extends TestCase {
		
	public void testSimple1(){
		Assert.assertTrue(true);
	}
	
	public void testLength() {
		try {
			 
			byte[] testdat = new byte[1000];
			for (int i = 0; i < testdat.length; i++) {
			 testdat[i] = (byte)(i%100);
			}	 
			ByteArrayInBuffer bin = new ByteArrayInBuffer();
			bin.add(testdat);
			bin.add(testdat);	 
//			check the length is correct
			Assert.assertEquals(testdat.length * 2, bin.length());
			for (int i = 0; i < testdat.length; i++) {
			 int n = bin.read();
			 Assert.assertEquals((byte)n,testdat[i]);
			} 
//			check the length is correct
			Assert.assertEquals(testdat.length , bin.length());
			for (int i = 0; i < testdat.length; i++) {
			 int n = bin.read();
			 Assert.assertEquals((byte)n,testdat[i]);
			} 
//			check the length is correct
			Assert.assertEquals(0 , bin.length());
			} catch (IOException e) {
				Assert.assertTrue(false);
			}
	}
}
