package org.eclipse.hyades.statistical.ui.editor.internal;
import junit.framework.*;


public class HexDataTest extends TestCase {
	public void testStringToHex(){
		String StringTH, StringHex, StringStr;
		StringTH = new String("testing");
		
		StringHex = HexData.stringToHexString(StringTH);
	
		Assert.assertEquals(StringHex.length(),StringTH.length()*2);
		
		StringStr = HexData.hexStringToString(StringHex);
		Assert.assertEquals(StringStr.length(), StringHex.length()/2);
		
		Assert.assertEquals(StringTH,StringStr);	
	}
	
	public void testStringToByte(){
		String byteArrStr;
		
		byte[] testdat = new byte[1000];
		for (int i = 0; i < testdat.length; i++) {
			testdat[i] = (byte)(i%100);
		}
		
		byteArrStr = HexData.byteArrayToHexString(testdat);
		Assert.assertEquals(testdat.length, byteArrStr.length()/2);
		
		byte[] byteArr = HexData.hexStringToByteArray(byteArrStr);
		Assert.assertEquals(byteArr.length,testdat.length);
	}
}